{
  // Ensure fmt is loaded
  R__LOAD_LIBRARY(libfmt);
  //
  // top-level include-dir
  gROOT->ProcessLine(".include include");

  // setup a local build directory so we don't polute our source code with
  // ROOT dictionaries etc. if desired
  const char* build_dir = gSystem->Getenv("ROOT_BUILD_DIR");
  if (build_dir) {
    gSystem->SetBuildDir(build_dir);
  }
}
